/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.messaging.service;

// Java Classes
import javax.jms.QueueSession;

import gov.va.med.fw.hl7.Message;
import gov.va.med.fw.service.ServiceException;

import gov.va.med.esr.messaging.service.jms.ProducerService;

/**
 * @author Martin Francisco
 */
public class MockProducerService
    extends ProducerService
{
    private static final long serialVersionUID = -6499595118511187785L;

    /**
     * Default constructor.
     */
    public MockProducerService()
    {
        super();
    }

    public void afterPropertiesSet() throws Exception
    {

    }

    public void send(Message message) throws ServiceException
    {
        return;
    }

    public void close(QueueSession session)
    {

    }
}